<?php namespace App\Controllers;

use App\Models\PredioModel;

class Predios extends BaseController
{
    
    public function index()
    {
        $model = new PredioModel();

        // Capturamos filtros desde GET
        $search = $this->request->getGet();

        $builder = $model;

        // Filtros dinámicos
        if (!empty($search['calle'])) {
            $builder = $builder->like('calle', $search['calle']);
        }

        if (!empty($search['nombres'])) {
            $builder = $builder->like('nombres', $search['nombres']);
        }

        if (!empty($search['apellidos'])) {
            $builder = $builder->like('apellidos', $search['apellidos']);
        }

        $data = [
            'predios' => $builder->paginate(10),
            'pager'   => $builder->pager,
            'search'  => $search
        ];

        return view('predios/index', $data);
    }
    

    public function create()
    {
        return view('predios/form');
    }

    public function store()
    {
        $model = new PredioModel();
        $model->save($this->request->getPost());
        return redirect()->to('/predios');
    }

    public function edit($id)
    {
        $model = new PredioModel();
        $data['predio'] = $model->find($id);
        return view('predios/form', $data);
    }

    public function update($id)
    {
        $model = new PredioModel();
        $model->update($id, $this->request->getPost());
        return redirect()->to('/predios');
    }

    public function show($id)
    {
        $model = new PredioModel();
        $data['predio'] = $model->find($id);
        return view('predios/view', $data);
    }
    
    public function delete($id)
    {
        $usuarioModel = new PredioModel();
        $usuarioModel->delete($id);

        return redirect()->to(base_url('predios'))->with('status', 'Predio eliminado correctamente');
    }
    
    public function verpredio_ol ($gid) {

        // se debe crear la variable de session para guardar el url del servidor grafico
        $i_jameuge = "https://server1.jmap4.com/jvisorbolivia/index.html?tipo_consulta=predios_gid";
        $i_jameuge = $i_jameuge . "&gid=" . $gid;
        $i_jameuge = $i_jameuge . "&ip_host=server1.jmap4.com";
        //redirect($i_jameuge);
        //return redirect()->to('https://server1.jmap4.com/jvisorbolivia/index.html?tipo_consulta=predios_gid&gid=1&ip_host=server1.jmap4.com');
        return redirect()->to($i_jameuge);
    }
    
    
}
